import { BaseChipProps } from './Chip';
import { InteractiveChipProps } from './InteractiveChip';
import { ReadOnlyChipProps } from './ReadOnlyChip';
type Variant = NonNullable<BaseChipProps['variant']>;
interface ColorScheme {
    color: string;
    background: string;
    borderColor: string;
    hover: {
        color: string;
        background: string;
        borderColor: string;
    };
    disabled: {
        color: string;
        background: string;
        borderColor: string;
    };
    selected?: Omit<ColorScheme, 'selected'>;
}
export declare const colorSchemes: Record<Variant, ColorScheme>;
export declare const InteractiveChipStyle: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, InteractiveChipProps>> & string;
export declare const ReadOnlyChipStyle: import("styled-components/dist/types").IStyledComponentBase<"web", import("styled-components/dist/types").Substitute<import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, ReadOnlyChipProps>> & string;
export {};
