import { Extension } from '@tiptap/core';
import { BoldOptions } from '@tiptap/extension-bold';
import { BulletListOptions } from '@tiptap/extension-bullet-list';
import { CodeBlockLowlightOptions } from '@tiptap/extension-code-block-lowlight';
import { ColorOptions } from '@tiptap/extension-color';
import { DropcursorOptions } from '@tiptap/extension-dropcursor';
import { HardBreakOptions } from '@tiptap/extension-hard-break';
import { HeadingOptions } from '@tiptap/extension-heading';
import { HighlightOptions } from '@tiptap/extension-highlight';
import { HistoryOptions } from '@tiptap/extension-history';
import { ItalicOptions } from '@tiptap/extension-italic';
import { LinkOptions } from '@tiptap/extension-link';
import { ListItemOptions } from '@tiptap/extension-list-item';
import { OrderedListOptions } from '@tiptap/extension-ordered-list';
import { ParagraphOptions } from '@tiptap/extension-paragraph';
import { PlaceholderOptions } from '@tiptap/extension-placeholder';
import { TableOptions } from '@tiptap/extension-table';
import { TableCellOptions } from '@tiptap/extension-table-cell';
import { TableHeaderOptions } from '@tiptap/extension-table-header';
import { TableRowOptions } from '@tiptap/extension-table-row';
import { TextAlignOptions } from '@tiptap/extension-text-align';
import { TextStyleOptions } from '@tiptap/extension-text-style';
import { TypographyOptions } from '@tiptap/extension-typography';
import { ExtendedImageOptions } from './ExtendedImage';
import { mergeDefaults } from './mergeDefaults';
export interface AmplifyKitOptions {
    bold: Partial<BoldOptions> | false;
    bulletList: Partial<BulletListOptions> | false;
    hardBreak: Partial<HardBreakOptions> | false;
    heading: Partial<HeadingOptions> | false;
    history: Partial<HistoryOptions> | false;
    italic: Partial<ItalicOptions> | false;
    listItem: Partial<ListItemOptions> | false;
    orderedList: Partial<OrderedListOptions> | false;
    paragraph: Partial<ParagraphOptions> | false;
    codeBlockLowlight: Partial<CodeBlockLowlightOptions> | false;
    color: Partial<ColorOptions> | false;
    image: Partial<ExtendedImageOptions> | false;
    highlight: Partial<HighlightOptions> | false;
    link: Partial<LinkOptions> | false;
    placeholder: Partial<PlaceholderOptions> | false;
    table: Partial<TableOptions> | false;
    tableCell: Partial<TableCellOptions> | false;
    tableHeader: Partial<TableHeaderOptions> | false;
    tableRow: Partial<TableRowOptions> | false;
    typography: Partial<TypographyOptions> | false;
    textStyle: Partial<TextStyleOptions> | false;
    textAlign: Partial<TextAlignOptions> | false;
    dropCursor: Partial<DropcursorOptions> | false;
    gapCursor: false;
    document: false;
    text: false;
}
export declare const AmplifyKit: Extension<AmplifyKitOptions, any>;
export { mergeDefaults };
